> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-network/constants/transactionversion.md).

# TransactionVersion

Enum representing the transaction version byte. Used internally for serializing and deserializing transactions, ensuring transactions can't be replayed on other networks. Similar in purpose to `ChainId`.

***

### Usage

```ts
import { TransactionVersion } from '@stacks/network';

if (network.transactionVersion === TransactionVersion.Mainnet) {
  console.log('Mainnet transaction version');
}
```

[**Reference Link**](https://github.com/stx-labs/stacks.js/tree/main/packages/network/src/constants.ts#L35)

***

### Definition

```ts
enum TransactionVersion {
  Mainnet = 0x00,
  Testnet = 0x80,
}
```

***

### Values

| Value     | Number | Description                                                            |
| --------- | ------ | ---------------------------------------------------------------------- |
| `Mainnet` | `0x00` | Transaction version byte for mainnet                                   |
| `Testnet` | `0x80` | Transaction version byte for testnet (also used by devnet and mocknet) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-network/constants/transactionversion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
